/**************************************************
*
* FILE NAME:  dbtypes.h    TITLE: QE database types
*
* AUTHOR:   	Ken North
*
* SYNOPSIS: data type definitions 
*
**************************************************/

#ifndef __DBTYPES_H
#define __DBTYPES_H


typedef struct ConnectionInfo
{
	char	Driver[31];
	char	Userid[31];
	char    Password[9];
	char	Server[31];
	char	DataBase[31];
	char	DictPath[80];
	char	DataPath[80];
	POINTER	cstr;
	HDBC 	hdbc;
} * CONNECTION;

typedef struct ViewInfo
{
	int	BufferLen;
	int	RowLength;
	int	recndx;
	int	RecordLength;
	int	FetchOption;
	int	ColCount;
	int	ASCIIFlag; /* fetch data separator 	*/
	int	Spacing;   /* fetch display spacing */

				/* records desired from fetch */
	long ReceiveCount;
				/* records returned by fetch  */
	long RecordsGotten;
} * VIEWINFO;

#endif

